import classes from "./ContentSurface.module.css";
import { motion, type HTMLMotionProps } from "motion/react";
import clsx, { type ClassValue } from "clsx";

type Props = Omit<HTMLMotionProps<"div">, "className"> & {
  className?: ClassValue;
};

export default function ContentSurface(props: Props) {
  return <motion.div {...props} className={clsx(classes.contentSurface, props.className)} />;
}
